Library Version 18.1.40

DbSequence::get_key()
Prev | Chapter 12. The DbSequence Handle | Next

## DbSequence::get_key()

    #include <db_cxx.h>

    int
    DbSequence::get_key(Dbt *key);

The `DbSequence::get_key()` method returns the key for the sequence.

The `DbSequence::get_key()` method may be called at any time during the life of the application.

The `DbSequence::get_key()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### key

The key parameter references memory into which a pointer to the key data is copied.

### Class

DbSequence

### See Also

Sequences and Related Methods

Prev | Up | Next
DbSequence::get_flags() | Home | DbSequence::get_range()